plugins {
    id("com.iqser.red.service.java-conventions")
}
dependencies {
    api("io.github.openfeign:feign-core:12.2")
    api("org.springframework.boot:spring-boot-starter-web:3.1.3")
    api("org.springframework.boot:spring-boot-starter-validation:3.1.3")
    api("com.iqser.red.commons:jackson-commons:2.1.0")
    api(project(":persistence-service-shared-api-v1"))
    compileOnly("org.springdoc:springdoc-openapi-ui:1.6.13")
    testImplementation("org.springframework.boot:spring-boot-starter-test:3.0.4")
}

description = "persistence-service-internal-api-v1"

publishing {
    publications {
        create<MavenPublication>(name) {
            from(components["java"])
        }
    }
    repositories {
        maven {
            url = uri("https://nexus.knecon.com/repository/red-platform-releases/")
            credentials {
                username = providers.gradleProperty("mavenUser").getOrNull();
                password = providers.gradleProperty("mavenPassword").getOrNull();
            }
        }
    }
}
